using System.Collections;
using System.Collections.Generic;
using Unity.VisualScripting;
using UnityEngine;
using UnityEngine.UI;

public class SettingsManager : MonoBehaviour
{
    public static SettingsManager inst;
    public Slider sensSlider;
    public Slider volumeSlider;

    // void Awake(){
    //     if(inst == null)
    //         inst = this;
    //     else
    //         Destroy(gameObject);
    // }
    void Start(){
        sensSlider.value = PlayerPrefs.GetFloat("sens", 400);
        volumeSlider.value = PlayerPrefs.GetFloat("volume", 0);
        //DontDestroyOnLoad(this);
    }
    public void ChangeSens(){
        PlayerPrefs.SetFloat("sens", sensSlider.value);
    }

    public void ChangeVolume(){
        PlayerPrefs.SetFloat("volume", volumeSlider.value);
    }
}
